<?PHP
/*
Simfatic Forms Main Form processor script

This script does all the server side processing. 
(Displaying the form, processing form submissions,
displaying errors, making CAPTCHA image, and so on.) 

All pages (including the form page) are displayed using 
templates in the 'templ' sub folder. 

The overall structure is that of a list of modules. Depending on the 
arguments (POST/GET) passed to the script, the modules process in sequence. 

Please note that just appending  a header and footer to this script won't work.
To embed the form, use the 'Copy & Paste' code in the 'Take the Code' page. 
To extend the functionality, see 'Extension Modules' in the help.

*/

@ini_set("display_errors", 1);//the error handler is added later in FormProc
error_reporting(E_ALL);

require_once(dirname(__FILE__)."/includes/Classified-lib.php");
$formproc_obj =  new SFM_FormProcessor('Classified');
$formproc_obj->initTimeZone('US/Eastern');
$formproc_obj->setFormID('a29e77ef-76f3-454a-80d3-b6bcfa060091');
$formproc_obj->setRandKey('0bfe908c-6263-4128-b632-7c58d05ad37d');
$formproc_obj->setFormKey('d8b646c8-27cb-40d8-bfa2-c822844b44b6');
$formproc_obj->setLocale('en-US','M/d/yyyy');
$formproc_obj->setEmailFormatHTML(true);
$formproc_obj->EnableLogging(true);
$formproc_obj->SetErrorEmail('tim@cornatzer.com');
$formproc_obj->SetDebugMode(true);
$formproc_obj->setIsInstalled(true);
$formproc_obj->SetPrintPreviewPage(sfm_readfile(dirname(__FILE__)."/templ/Classified_print_preview_file.txt"));
$formproc_obj->SetSingleBoxErrorDisplay(true);
$formproc_obj->setFormPage(0,sfm_readfile(dirname(__FILE__)."/templ/Classified_form_page_0.txt"));
$formproc_obj->AddElementInfo('FirstName','text','');
$formproc_obj->AddElementInfo('LastName','text','');
$formproc_obj->AddElementInfo('Address','text','');
$formproc_obj->AddElementInfo('Address1','text','');
$formproc_obj->AddElementInfo('City','text','');
$formproc_obj->AddElementInfo('State','text','');
$formproc_obj->AddElementInfo('Zipcode','text','');
$formproc_obj->AddElementInfo('Phone','text','');
$formproc_obj->AddElementInfo('EMail','text','');
$formproc_obj->AddElementInfo('AdSpace','multiline','');
$formproc_obj->AddElementInfo('upload','upload_ex','');
$formproc_obj->setIsInstalled(true);
$formproc_obj->setFormFileFolder('./formdata');
$formproc_obj->SetHiddenInputTrapVarName('t017b708b8362f17e5265');
$formproc_obj->SetFromAddress('Manager@getsme.com');
$formproc_obj->InitSMTP('mail.getsme.com','manager@getsme.com','6B8910ADDF32D45F7CF2CA4A16FF9927',25);
$page_renderer =  new FM_FormPageDisplayModule();
$formproc_obj->addModule($page_renderer);

$admin_page =  new FM_AdminPageHandler();
$admin_page->SetPageTemplate(sfm_readfile(dirname(__FILE__)."/templ/Classified_admin_page_templ.txt"));
$admin_page->SetLogin('tcornatzer','F870F55FFC4F3C8C891B5820E2B951C2');
$admin_page->SetLoginTemplate(sfm_readfile(dirname(__FILE__)."/templ/Classified_admin_page_login.txt"));
$formproc_obj->addModule($admin_page);

$validator =  new FM_FormValidator();
$validator->addValidation("FirstName","maxlen=30","The length of the input for FirstName should not exceed 30");
$validator->addValidation("FirstName","required","Please fill in FirstName");
$validator->addValidation("FirstName","alnum_s","The input for FirstName should be a valid alpha-numeric value");
$validator->addValidation("LastName","required","Please fill in LastName");
$validator->addValidation("LastName","maxlen=30","The length of the input for LastName should not exceed 30");
$validator->addValidation("LastName","alnum","The input for LastName should be a valid alpha-numeric value");
$validator->addValidation("Address","maxlen=30","The length of the input for Address1 should not exceed 30");
$validator->addValidation("Address1","maxlen=30","The length of the input for Address1 should not exceed 30");
$validator->addValidation("City","maxlen=30","The length of the input for City should not exceed 30");
$validator->addValidation("State","maxlen=2","Input for State should not exceed 2 characters");
$validator->addValidation("Zipcode","alnum","The input for Zipcode should be a valid alpha-numeric value");
$validator->addValidation("Zipcode","maxlen=11","The length of the input for Zipcode should not exceed 11");
$validator->addValidation("Phone","required","Please fill in Phone");
$validator->addValidation("Phone","maxlen=15","The length of the input for Phone should not exceed 15");
$validator->addValidation("Phone","minlen=10","The length of the input for Phone should be at least 10.");
$validator->addValidation("upload","max_numfiles=5","You can upload only 5 files for this field");
$validator->addValidation("upload","max_filesize=8192","The file size should be less than 8 MB");
$validator->addValidation("upload","file_extn=jpg;gif;png;html;htm;doc;docx;txt;rtf;pdf;zip","Allowed files types are: jpg;gif;png;html;htm;doc;docx;txt;rtf;pdf;zip");
$formproc_obj->addModule($validator);

$upld =  new FM_FileUploadHandler();
$upld->SetFileUploadFields(array('upload'));
$formproc_obj->addModule($upld);

$confirmpage =  new FM_ConfirmPage(sfm_readfile(dirname(__FILE__)."/templ/Classified_confirm_page.txt"));
$confirmpage->SetButtonCode(sfm_readfile(dirname(__FILE__)."/templ/Classified_confirm_button_code.txt"),sfm_readfile(dirname(__FILE__)."/templ/Classified_edit_button_code.txt"),sfm_readfile(dirname(__FILE__)."/templ/Classified_print_button_code.txt"));
$formproc_obj->addModule($confirmpage);

$data_email_sender =  new FM_FormDataSender(sfm_readfile(dirname(__FILE__)."/templ/Classified_email_subj.txt"),sfm_readfile(dirname(__FILE__)."/templ/Classified_email_body.txt"),'%Email%');
$data_email_sender->AddToAddr('Ads <ads@getsme.com>');
$data_email_sender->AddToAddr('The Boss <Tim@GetsMe.com>');
$data_email_sender->SetAttachFiles(false);
$formproc_obj->addModule($data_email_sender);

$autoresp =  new FM_AutoResponseSender(sfm_readfile(dirname(__FILE__)."/templ/Classified_resp_subj.txt"),sfm_readfile(dirname(__FILE__)."/templ/Classified_resp_body.txt"));
$autoresp->SetToVariables('FirstName','EMail');
$formproc_obj->addModule($autoresp);

$csv_maker =  new FM_FormDataCSVMaker(1024);
$csv_maker->AddCSVVariable(array('FirstName','LastName','Address','Address1','City','State','Zipcode','Phone','EMail','AdSpace','upload','_sfm_form_submision_time_','_sfm_visitor_ip_'));
$formproc_obj->addModule($csv_maker);

$tupage =  new FM_ThankYouPage(sfm_readfile(dirname(__FILE__)."/templ/Classified_thank_u.txt"));
$formproc_obj->addModule($tupage);

$validator->SetFileUploader($upld);
$thumbnail =  new FM_ThumbnailModule();
$formproc_obj->AddExtensionModule($thumbnail);
$confirmpage->SetFileUploader($upld);
$data_email_sender->SetFileUploader($upld);
$csv_maker->SetFileUploader($upld);
$page_renderer->SetFormValidator($validator);
$page_renderer->SetFileUploader($upld);
$formproc_obj->ProcessForm();

?>